makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.makeupsdk.Effect Class Reference

## Public Member Functions
long | GetID ()
String | GetName ()
String | GetType ()
List< Element > | GetElements ()
ArrayList< Float > | GetBoundingBox ()
void | SetBoundingBox (ArrayList< Float > boundingBox)
JSONObject | ToJSON ()

## Detailed Description

Effect instances are used to store information required to uniquely identify each created makeup entity. Effect instances are created from FeatureTemplate and (optional) FinishTemplate instances passed to MakeupEngine::CreateMakeup function in the API. Objects of this type are read only. Effect is defined by the following:

- id : unique identifier of the effect
- type : feature type used to create the effect
- name : feature name used to create the effect
- elements : a list of elements contained in the effect created from ElementTemplate instances of FeatureTemplate and FinishTemplate used to create this effect.

## Member Function Documentation

## ◆ GetBoundingBox()

ArrayList< Float > com.visagetechnologies.makeupsdk.Effect.GetBoundingBox | ( |  | ) |
| inline

Returns the bounding box in which this effect is visible

Returns
  bounding box

## ◆ GetElements()

List< Element > com.visagetechnologies.makeupsdk.Effect.GetElements | ( |  | ) |
| inline

Returns the elements required for rendering of this effect

Returns
  list of the elements

## ◆ GetID()

long com.visagetechnologies.makeupsdk.Effect.GetID | ( |  | ) |
| inline

Returns the id of the effect

Returns
  id of the effect

## ◆ GetName()

String com.visagetechnologies.makeupsdk.Effect.GetName | ( |  | ) |
| inline

Returns the name of the effect

Returns
  name of the effect

## ◆ GetType()

String com.visagetechnologies.makeupsdk.Effect.GetType | ( |  | ) |
| inline

Returns the type of the effect

Returns
  type of the effect

## ◆ SetBoundingBox()

void com.visagetechnologies.makeupsdk.Effect.SetBoundingBox | ( | ArrayList< Float > | boundingBox | ) |
| inline

Sets the bounding box in which this effect is visible

Returns
  boundingBox bounding box in which this effect is visible

## ◆ ToJSON()

JSONObject com.visagetechnologies.makeupsdk.Effect.ToJSON | ( |  | ) |
| inline

Returns JSON object out of this Effect object

Returns
  JSON representation of this Effect returned as JSONObject